<?php
/**
 * jQuery Ad Gallery settings page
 * This file displays all of the available settings
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @package WP_SimplyHired_API
 */
 $textdomain = 'wp_simplyhired_api';
?>
<div class="postbox open">

<h3><?php _e('Plugin Settings', $textdomain ); ?></h3>

<div class="inside">

	<table class="form-table required">
	<tr><td colspan="2">
		<h3><?php _e('Required Settings',$textdomain); ?></h3>
		<p><?php _e( 'You will need a Job-a-matic account in order to use this plugin. If you do not already have an account, one can be set quickly at ', $textdomain ); 
		echo '<a href="http://jobamatic.com" target="_blank">http://jobamatic.com</a>';
		?></p>
		<p><?php _e( 'A niche O*NET code is also required for better API search capability.', $textdomain ); ?>
	</td></tr>
	<tr>
		<?php wpsha_print_form_label( $data['publisher_id'], __('Publisher ID', $textdomain) ); ?>
		<td>
			<input id="<?php echo $data['publisher_id']; ?>" name="<?php echo $data['publisher_id']; ?>" value="<?php echo stripslashes($val['publisher_id']); ?>" size="20" /> 
			<?php _e('Publisher id assigned to you by SimplyHired.', $textdomain); ?> 
		</td>
	</tr>
	<tr>
		<?php wpsha_print_form_label( $data['jobboard_url'], __('Jobboard Url', $textdomain) ); ?>
		<td>
			<input id="<?php echo $data['jobboard_url']; ?>" name="<?php echo $data['jobboard_url']; ?>" value="<?php echo stripslashes($val['jobboard_url']); ?>" size="20" /> 
			<?php _e('Url to your Job-a-matic board.', $textdomain); ?> 
		</td>
	</tr>
	<tr>
		<?php wpsha_print_form_label( $data['broad_onet_code'], __('Niche O*NET Code', $textdomain) ); ?>
		<td><input id="<?php echo $data['broad_onet_code']; ?>" name="<?php echo $data['broad_onet_code']; ?>" value="<?php echo stripslashes($val['broad_onet_code']); ?>" size="20" /> 
		
			<p><?php _e('A broad niche code O*NET code in the form ##-####. Minimum 2 digits, with use of a wildcard(*).  O*NET code can be found here.', $textdomain); ?> [<a href="http://www.onetcodeconnector.org/">link</a>]</p>
		</td>
	</tr>
	
	<tr><td colspan="2">
		<h3><?php _e('Job Posting Details',$textdomain); ?></h3>
		<p><?php 
		_e( 'Set the following the same as you have it set in your Job-a-matic account. This plugin cannot read your account information, so you have to insert the data here also. ', $textdomain ); 
		?></p>
	</td></tr>
	<tr>
		<?php wpsha_print_form_label( $data['post_job_cost'], __('Job Posting Cost', $textdomain) ); ?>
		<td>
			<input id="<?php echo $data['post_job_cost']; ?>" name="<?php echo $data['post_job_cost']; ?>" value="<?php echo stripslashes($val['post_job_cost']); ?>" size="20" /> 
		</td>
	</tr>
	<tr>
		<?php wpsha_print_form_label( $data['post_job_days'], __('Job Posting Days', $textdomain) ); ?>
		<td>
			<input id="<?php echo $data['post_job_days']; ?>" name="<?php echo $data['post_job_days']; ?>" value="<?php echo stripslashes($val['post_job_days']); ?>" size="20" /> 
			<br /><?php _e('Cost and number of days can be accessed on your Job-a-matic Partner dashboard via this link.', $textdomain); ?> [<a href="https://www.jobamatic.com/a/jbb/partner-dashboard-name-pricing">click here</a>] 
		</td>
	</tr>
	</table>
	</div>
</div>
<?php // *** Job Board Configuration ?>
<div class="postbox open">

	<h3><?php _e('Job Board Configuration',$textdomain); ?></h3>

	<div class="inside">
		<table class="form-table">
		<tr>
			<?php wpsha_print_form_label( $data['base_page'], __('Base job board page', $textdomain) ); ?>
			<td><?php wpsha_print_base_page_select( $data['base_page'], $val['base_page'] ); ?></td>
		</tr>
		<tr>
			<?php wpsha_print_form_label( $data['show_backfill'], __('Show Backfill?', $textdomain) ); ?>
			<td>
				<input id="<?php echo $data['show_backfill']; ?>" name="<?php echo $data['show_backfill']; ?>" type="checkbox" <?php if ( $val['show_backfill'] ) echo 'checked="checked" value="true"'; ?> />&nbsp;<?php _e('Check this box to always show backfill results.',$textdomain); ?></td>
		</tr>
<!--		<tr>
			<?php // wpsha_print_form_label( $data['is_usa'], __('Is USA job board?', $textdomain) ); ?>
			<td>
				<input id="<?php //echo $data['is_usa']; ?>" name="<?php //echo $data['is_usa']; ?>" type="checkbox" <?php //if ( $val['is_usa'] ) echo 'checked="checked" value="true"'; ?> />&nbsp;<?php //_e('Uncheck if you want non-USA results.',$textdomain); ?></td>
			
		</tr>
-->
		</table>
	</div>
</div>

<div class="postbox open">

	<h3><?php _e('About This Plugin',$textdomain); ?></h3>

	<div class="inside">
		<table class="form-table">

		<tr>
			<?php wpsha_print_form_label( $plugin_data['Name'], __('Plugin Version', $textdomain) ); ?>
			<td><?php echo $plugin_data['Name']; ?> <?php echo $plugin_data['Version']; ?></td>
		</tr>
		<tr>
			<?php wpsha_print_form_label( '', __('Plugin Documentation', $textdomain) ); ?>
			<td><a href="http://webstractions.com/wordpress-plugins/wp-simplyhired-api/"><?php _e('Plugin Documentation Page',$textdomain); ?></a></td>
		</tr>
		<tr>
			<?php wpsha_print_form_label( '', __('Plugin Support', $textdomain) ); ?>
			<td><a href="http://wordpress.org/tags/wp-simplyhired-api" title="<?php _e('Get support for this plugin',$textdomain); ?>"><?php _e('WordPress.org Support Forum',$textdomain); ?></a></td>
		</tr>
		<tr>
			<?php wpsha_print_form_label( $data['plugin_attribution'], __('Plugin attribution', $textdomain) ); ?>
			<td>
				<input id="<?php echo $data['plugin_attribution']; ?>" name="<?php echo $data['plugin_attribution']; ?>" type="checkbox" <?php if ( $val['plugin_attribution'] ) echo 'checked="checked" value="true"'; ?> />&nbsp;<?php _e('Show the love and link back to this plugin.',$textdomain); ?></td>
		</tr>
		<tr>
			<?php wpsha_print_form_label( $data['disable_tracking'], __('Disable tracking', $textdomain) ); ?>
			<td>
				<input id="<?php echo $data['disable_tracking']; ?>" name="<?php echo $data['disable_tracking']; ?>" type="checkbox" <?php if ( $val['disable_tracking'] ) echo 'checked="checked" value="true"'; ?> />&nbsp;<?php _e('Disable click tracking for testing purposes.',$textdomain); ?></td>
		</tr>

		</table>
	</div>
</div>

<?php
function wpsha_print_form_label ( $key, $value ) {

	echo '<th><label for="' . $key . '">' . $value . '</label></th>';
}

function wpsha_print_base_page_select( $base_page_name, $base_page_val) {

	//$base_page_name = $data['base_page'];
	//$base_page_val  = $val['base_page'];
	if ( $base_page_val == '' ) {
		$base_page_val = 'Jobs';
	}
	?>
	<select id="<?php echo $base_page_name; ?>" name="<?php echo $base_page_name; ?>"> 
		<option value="">Select Page</option>';
		<?php 
		$pages = get_pages(); 
		foreach ( $pages as $page ) {
			$selected = '';
			if ( $page->post_name == $base_page_val )
				$selected = ' selected="selected"';
			$option = '
		<option value="'.$page->post_name.'"'.$selected.'">'.$page->post_title.'</option>';
			echo $option;
		}
		?>
	</select>
	<?php
}
?>

